Vla-get-plotviewportsfirst

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-get-plotviewportsfirst vla-object )


機能
ペーパー空間ビューポート内のすべてのジオメトリを先に印刷するかどうかを取得する。


引数
  • vla-object … VLAオブジェクト(Layout、PlotConfiguration)


戻り値
ブール型
  •  :vlax-True: ペーパー空間のビューポートのジオメトリを最初に印刷し、ペーパー空間のジオメトリを最後に印刷する。
  •  :vlax-False: ペーパー空間のジオメトリを最初に印刷し、ペーパー空間のビューポートのジオメトリを最後に印刷する。


サンプル
(vl-load-com)
(defun c:Example_PlotViewportsFirst()
    ;; PlotViewportsFirst の設定を変更するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; layout オブジェクトを取得
    (setq ACADLayout (vla-get-ActiveLayout doc))
    
    ;; 既定値を読み込み
    (setq originalValue (vla-get-PlotViewportsFirst ACADLayout))
    (alert (strcat "現在の PlotViewportsFirst の値は : " (if (= originalValue :vlax-true) "True" "False")))

    ;; 変更
    (vla-put-PlotViewportsFirst ACADLayout (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-PlotViewportsFirst ACADLayout))
    (alert (strcat "新しい PlotViewportsFirst の値は : " (if (= newValue :vlax-true) "True" "False")))

    ;; 戻す
    (vla-put-PlotViewportsFirst ACADLayout originalValue)
    (alert (strcat "PlotViewportsFirst の値を次に戻しました : " (if (= originalValue :vlax-true) "True" "False")))
)

関連事項